﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SOMClustering
{
    /// <summary>
    /// Base pattern class.
    /// V. 1.0
    /// </summary>
    internal abstract class PatternBase: IPattern
    {
        protected Double[] pattern;
        
        public Double this[int index]
        {
            get
            {
                if ((index < pattern.Length) && (index >= 0))
                {
                    return pattern[index];
                }
                else
                {
                    return 0;
                }
            }
        }

        //public PatternBase(int length)
        //{
        //    patternLength = length;
        //    pattern = new Double[length];
        //}
    }
}
