﻿using System;
using System.Collections.Generic;
//using System.Linq;
using System.Text;

namespace SOMClustering
{
    /// <summary>
    /// Класс, генерирующий случайную величину
    /// </summary>
    class RandomW : Random
    {
        /// <summary>
        /// Генерирует случайную величину из интервала [-seed, seed]
        /// </summary>
        /// <param name="seed">Граница возможных случайных значений 
        /// по модулю</param>
        /// <returns>Случайное значение</returns>
        public double NextW(double seed)
        {
            return (Sample() - 0.5) * seed * 2;
        }
    }
}